function[kolecka] = koleckovani(souradnice,obr,maska)

vel = size(obr);
pom = zeros(vel(1),vel(2));     % matice o velikosti obrazku

%% vytvareni kolecek kolem bifurkaci o polomeru 5 pixelu
for i = 1: length(souradnice)   % doplneni do "pom" jednickove hodnoty podle polohy masky nad kazdou souradnici
    pom(souradnice(1,i)-5:souradnice(1,i)+5, souradnice(2,i)-5:souradnice(2,i)+5) = maska;
end
[x,y] = find(pom==1);           % hledani souradnic jednickovych pixelu promenne "pom"
kolecka = [x,y]';               % prevod na formu radek, sloupec
